% MakeRandDatasets.m
% MAKERANDDATASETS Script to take a file created by running SelectRand
% and to split it into numFiles number of files, each file containing all
% the activities for numIDsPerFile number of people.  

numIDsPerFile = 20000;
numLabs = 2;
numFiles = numLabs;
numEls = numLabs * numIDsPerFile;
maxID = 1615860;
fid = fopen(['rand_' num2str(numEls) 'Els.txt']);

currRow = fscanf(fid, '%d %d', [1 2]);
for i=1:numFiles
    outFID = fopen(['rand_' num2str(numEls) 'Els_' num2str(numLabs) 'Labs_' num2str(i) '.dat'], 'w');
    for ndx = 1:numIDsPerFile
        id = currRow(1);
        while (~feof(fid) && currRow(1) == id)
            fprintf(outFID, '%d %d\n', currRow);
            currRow = fscanf(fid, '%d %d', [1 2]);
        end;
    end
    fclose(outFID);
end

fclose(fid);

